/* Register animatable OKLCH channels !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
@property --bg-l {
  syntax: "<number>";
  inherits: false;
  initial-value: 0.7;
}

@property --bg-c {
  syntax: "<number>";
  inherits: false;
  initial-value: 0.1;
}

@property --bg-h {
  syntax: "<angle>";
  inherits: false;
  initial-value: 0deg;
}

@property --fg-l {
  syntax: "<number>";
  inherits: false;
  initial-value: 0.2;
}

@property --fg-c {
  syntax: "<number>";
  inherits: false;
  initial-value: 0.02;
}

@property --fg-h {
  syntax: "<angle>";
  inherits: false;
  initial-value: 0deg;
}

#mothWrapper {
  /* OKCLH animatable!!! */
  background-color: oklch(var(--bg-l) var(--bg-c) var(--bg-h));
  color: oklch(var(--fg-l) var(--fg-c) var(--fg-h));
}